package com.mvc.entity;

import java.util.Date;

/**
* @Description:
* @Author: guozhao
* @CreateDate: 2024-12-02 16:19:26
*/
public class TDeviceSnManagement {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 用途
     */
    private String purpose;

    /**
     * 生产计划ID
     */
    private Integer producttionId;

    /**
     * 起始编码
     */
    private String startCode;

    /**
     * 结束编码
     */
    private String endCode;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 创建人
     */
    private String createMan;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 同步设备台账
     */
    private Integer syncDeviceAcc;

    /**
     * 申请年月(yyyyMM)
     */
    private Integer applyYearMonth;

    /**
     * 状态(0:未生效,1:生效,2:作废)
     */
    private Integer status;

    /**
     * 序列号(当前结果编码的序列号)
     */
    private Integer serialNumber;

    /**
     * 产品类型ID(来源于SN编码5-6位的含义)
     */
    private Integer productTypeId;

    /**
     * 设备类型
     */
    private String deviceType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose == null ? null : purpose.trim();
    }

    public Integer getProducttionId() {
        return producttionId;
    }

    public void setProducttionId(Integer producttionId) {
        this.producttionId = producttionId;
    }

    public String getStartCode() {
        return startCode;
    }

    public void setStartCode(String startCode) {
        this.startCode = startCode == null ? null : startCode.trim();
    }

    public String getEndCode() {
        return endCode;
    }

    public void setEndCode(String endCode) {
        this.endCode = endCode == null ? null : endCode.trim();
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getSyncDeviceAcc() {
        return syncDeviceAcc;
    }

    public void setSyncDeviceAcc(Integer syncDeviceAcc) {
        this.syncDeviceAcc = syncDeviceAcc;
    }

    public Integer getApplyYearMonth() {
        return applyYearMonth;
    }

    public void setApplyYearMonth(Integer applyYearMonth) {
        this.applyYearMonth = applyYearMonth;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Integer getProductTypeId() {
        return productTypeId;
    }

    public void setProductTypeId(Integer productTypeId) {
        this.productTypeId = productTypeId;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType == null ? null : deviceType.trim();
    }
}